import javax.persistence.Entity;
import javax.persistence.NamedQuery;
import javax.persistence.Id;
import javax.persistence.Column;
import javax.persistence.OneToMany;


@Entity
@NamedQuery(name="findByJournal", queryString="SELECT DISTINCT OBJECT(obj)  FROM Catalog obj WHERE obj.journal = ?1")

public class CatalogBean{


public CatalogBean(){}
public CatalogBean(String catalogId)
          {
            this.catalogId=catalogId;
          }

private String catalogId;
private String journal;
private String publisher;

@Id
@Column(name="CatalogId", primaryKey="true")

public  String getCatalogId(){return catalogId;}
public  void setCatalogId(){this.catalogId=catalogId;}

public  void setJournal(String journal){this.journal=journal;}
public String getJournal(){return journal;}

public  void setPublisher(String publisher){this.publisher=publisher;}
public  String getPublisher(){return publisher;}

private java.util.Collection<Edition> editions;

@OneToMany
public  void setEditions(java.util.Collection editions){this.editions=editions;}

public  java.util.Collection getEditions(){return editions;}


   


}