import javax.ejb.Stateless;
import javax.ejb.Resource;
import javax.persistence.EntityManager;
import javax.persistence.Query;

@Stateless
@Local

public class CatalogClient implements CatalogLocal{

{

@Resource
private EntityManager em;

public void create(String catalogId){

CatalogBean catalogBean=new CatalogBean(catalogId);
em.persist(catalogBean);

}

public CatalogBean findByPrimaryKey(String catalogId){
return (CatalogBean)em.find("CatalogBean", catalogId);


}

public java.util.Collection findByJournal(String journal){

Query query=em.createNamedQuery("findByJournal");
query.setParameter(0, journal);
return (CatalogBean)query.getResultList();

}

public void remove(CatalogBean catalogBean){

em.remove(catalogBean);

}


}